<?php

namespace App\QcRules;

class Invoice_Filter_OrderType extends FilterAbstract
{

	/**
	 * (non-PHPdoc)
	 * @see \App\QcRules\FilterAbstract::checkFields()
	 */
	public function checkFields(\App\QcRules\FieldsAbstract $fields, $context='')
	{
		$orderTypeList = [];
		foreach($fields->rowsList as $row) {
			$orderTypeList[$row['orderType']] = true;
		}

		return $this->checkFields_multiValues(array_keys($orderTypeList));
	}

}

